# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Aug  9 22:51:00 2023
# ------------------------------------------------

package:
  name: pytables
  version: 3.8.0
source:
  patches:
    - patches/0001-Don-t-copy-blosc2-in-the-package.patch
    - patches/use_system_blosc2.patch
  sha256: 34f3fa2366ce20b18f1df573a77c1d27306ce1f2a41d9f9eff621b5192ea8788
  url: https://pypi.io/packages/source/t/tables/tables-3.8.0.tar.gz
build:
  entry_points:
    - pt2to3 = tables.scripts.pt2to3:main
    - ptdump = tables.scripts.ptdump:main
    - ptrepack = tables.scripts.ptrepack:main
    - pttree = tables.scripts.pttree:main
  ignore_run_exports: null
  number: '3'
  string: py38hb8ae3fc_3
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - patch 2.7.6 h7b6447c_1001
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 mkl
    - blosc 1.21.3 h6a678d5_0
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.19.0 h5eee18b_0
    - c-blosc2 2.8.0 h6a678d5_0
    - ca-certificates 2023.05.30 h06a4308_0
    - cython 0.29.33 py38h6a678d5_0
    - hdf5 1.12.1 h2b7332f_3
    - intel-openmp 2023.1.0 hdb19cb5_46305
    - krb5 1.20.1 h143b758_1
    - ld_impl_linux-64 2.38 h1181459_1
    - libcurl 8.1.1 h251f7ec_2
    - libedit 3.1.20221030 h5eee18b_0
    - libev 4.33 h7f8727e_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h00389a5_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.52.0 h2d74bed_1
    - libssh2 1.10.0 hdbd6064_2
    - libstdcxx-ng 11.2.0 h1234567_1
    - lz4-c 1.9.4 h6a678d5_0
    - lzo 2.10 h7b6447c_2
    - mkl 2023.1.0 h213fc3f_46343
    - mkl-service 2.4.0 py38h5eee18b_1
    - mkl_fft 1.3.6 py38h417a72b_1
    - mkl_random 1.2.2 py38h417a72b_1
    - ncurses 6.4 h6a678d5_0
    - numpy 1.19.5 py38h7820934_5
    - numpy-base 1.19.5 py38hfdd66db_5
    - openssl 3.0.10 h7f8727e_0
    - packaging 23.0 py38h06a4308_0
    - pip 23.2.1 py38h06a4308_0
    - py-cpuinfo 8.0.0 pyhd3eb1b0_1
    - python 3.8.17 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - setuptools 68.0.0 py38h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tbb 2021.8.0 hdb19cb5_0
    - tk 8.6.12 h1ccaba5_0
    - wheel 0.38.4 py38h06a4308_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
    - zlib-ng 2.0.7 h5eee18b_0
    - zstd 1.5.5 hc292b87_0
  run:
    - blosc >=1.21.3,<2.0a0
    - bzip2 >=1.0.8,<2.0a0
    - c-blosc2 >=2.8.0,<3.0a0
    - hdf5 >=1.12.1,<1.12.2.0a0
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - lzo >=2.10,<3.0a0
    - numexpr >=2.6.2
    - numpy >=1.19.5,<2.0a0
    - packaging
    - py-cpuinfo
    - python >=3.8,<3.9.0a0
test:
  commands:
    - pip check || true
    - pt2to3 -h
    - ptdump -h
    - ptrepack -h
    - pttree -h
  requires:
    - mock
    - pip
    - py-cpuinfo
    - setuptools
about:
  description: 'PyTables is a package for managing hierarchical datasets and designed
    to

    efficiently and easily cope with extremely large amounts of data. PyTables

    is built on top of the HDF5 library, using the Python language and the

    NumPy package.

    '
  dev_url: https://github.com/PyTables/PyTables
  doc_url: https://www.pytables.org/
  home: https://www.pytables.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Brings together Python, HDF5 and NumPy to easily handle large amounts of
    data.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 2ccebb67-0b44-4ea5-9025-eb36fce79df2
  recipe-maintainers:
    - msarahan
    - ocefpaf
    - scopatz
    - tomkooij
  remote_url: git@github.com:AnacondaRecipes/pytables-feedstock.git
  sha: ef2cb83862b4cffbe2760438f292651cb89054af
